#
# spec file for package python-slimmer
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-slimmer
Version:        0.1.30
Release:        lp150.1.3
Url:            http://www.fry-it.com
Summary:        HTML, XHTML, CSS, JavaScript optimizer
License:        Python-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/s/slimmer/slimmer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
#BuildRequires:  python-nose
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
slimmer.py is a whitespace optimizer for CSS, HTML and XHTML output.

%prep
%setup -q -n slimmer-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr  4 2012 saschpe@suse.de
- Use upstream tarball
- Set SPDX-style license (Python-2.0)
* Fri Jul  8 2011 alexandre@exatati.com.br
- Initial package (0.1.30) for openSUSE.
